Page MenuHomeFreeBSD

[New port] sysutils/gsh: Command line program to run commands on remote hosts in parallel
ClosedPublic

Authored by lifanov on Dec 30 2016, 5:23 PM.

Details

Summary
The gsh program is a command line program used to run commands on multiple remote host computers in parallel. The gsh program has few dependencies, requiring Perl and the OpenSSH client software to work.

 PR: 210755
 Submitted by: jsmith@resonatingmedia.com
 Reviewed by: matthew
 Approved by: matthew (mentor)
 Differential revision: https://reviews.freebsd.org/DXXXX

I had to make some changes to the PR. I'm waiting for submitter feedback.

Test Plan

portlint -A - OK
poudriere testport - OK
basic usage - OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lifanov retitled this revision from to [New port] sysutils/gsh: Command line program to run commands on remote hosts in parallel.
lifanov updated this object.
lifanov edited the test plan for this revision. (Show Details)
lifanov added a reviewer: matthew.
lifanov added a subscriber: koobs.
matthew edited edge metadata.

Looks good to me. Please use the addport script to commit, as it will ensure all of the properties are set correctly. (I think what's shown here is probably correct, but I haven't looked at that in any detail.)

This revision is now accepted and ready to land.Dec 30 2016, 5:53 PM
sysutils/gsh/Makefile
17 ↗(On Diff #23471)

Why gmake ?
Also, this looks like a job for USE_PERL5=configure

lifanov edited edge metadata.

address mat's feedback

Wow, thanks! I didn't think about that!

This revision now requires review to proceed.Dec 31 2016, 11:05 PM
lifanov edited edge metadata.

add back sysutils/Makefile to review

matthew edited edge metadata.
This revision is now accepted and ready to land.Jan 1 2017, 12:34 PM
This revision was automatically updated to reflect the committed changes.